aboutsummaryrefslogtreecommitdiffstats
path: root/lsb-bootscripts/etc/init.d/swap
diff options
context:
space:
mode:
authorDJ Lucas <dj@linuxfromscratch.org>2011-05-15 03:17:07 +0000
committerDJ Lucas <dj@linuxfromscratch.org>2011-05-15 03:17:07 +0000
commit63a2c2d454e05553cb83f3656108838f46975ba6 (patch)
tree1a025d83023b0dcd87259c0b78818b3e2c338692 /lsb-bootscripts/etc/init.d/swap
parentdcae1d7df3deb6ae9a24b90d83f66feff49c93b0 (diff)
Moved BOOK/bootscripts/contrib/lsb-v3 to BOOK/lsb-bootscripts.
git-svn-id: http://svn.linuxfromscratch.org/LFS/trunk/BOOK@9538 4aa44e1e-78dd-0310-a6d2-fbcd4c07a689
Diffstat (limited to 'lsb-bootscripts/etc/init.d/swap')
-rw-r--r--lsb-bootscripts/etc/init.d/swap55
1 files changed, 55 insertions, 0 deletions
diff --git a/lsb-bootscripts/etc/init.d/swap b/lsb-bootscripts/etc/init.d/swap
new file mode 100644
index 000000000..31e5591e5
--- /dev/null
+++ b/lsb-bootscripts/etc/init.d/swap
@@ -0,0 +1,55 @@
+#!/bin/sh
+# Begin /etc/init.d/swap
+
+### BEGIN INIT INFO
+# Provides: swap
+# Required-Start: udev
+# Should-Start: modules
+# Required-Stop: localnet
+# Should-Stop:
+# Default-Start: S
+# Default-Stop: 0 6
+# Short-Description: Mounts and unmounts swap partitions.
+# Description: Mounts and unmounts swap partitions defined in
+# /etc/fstab.
+# X-LFS-Provided-By: LFS
+### END INIT INFO
+
+. /lib/lsb/init-functions
+
+case "${1}" in
+ start)
+ message="Activating all swap files/partitions..."
+ swapon -a
+ evaluate_retval standard
+ ;;
+
+ stop)
+ message="Deactivating all swap files/partitions..."
+ swapoff -a
+ evaluate_retval standard
+ ;;
+
+ restart)
+ swapoff -a
+ error_level="${?}"
+ sleep 1
+ swapon -a
+ error_level="$(( ${error_level} + ${?} ))"
+ (exit "${error_level}")
+ evaluate_retval restart
+ ;;
+
+ status)
+ log_success_msg "Retrieving swap status..."
+ echo
+ swapon -s
+ ;;
+
+ *)
+ echo "Usage: ${0} {start|stop|restart|status}"
+ exit 1
+ ;;
+esac
+
+# End /etc/init.d/swap